gnutls_pkcs7_get_crl_raw(3)

NAME
gnutls_pkcs7_get_crl_raw - API function

SYNOPSIS
#include <gnutls/pkcs7.h>

int gnutls_pkcs7_get_crl_raw(gnutls_pkcs7_t pkcs7, unsigned indx, void * crl, size_t * crl_size);

ARGUMENTS

gnutls_pkcs7_t pkcs7
    The pkcs7 type

unsigned indx
    contains the index of the crl to extract

void * crl
    the contents of the crl will be copied there (may be null)

size_t * crl_size
    should hold the size of the crl

DESCRIPTION
This function will return a crl of the PKCS7 or RFC2630 crl set.

RETURNS
On success, GNUTLS_E_SUCCESS (0) is returned, otherwise a negative error value. If the provided buffer is not long enough, then crl_size is updated and GNUTLS_E_SHORT_MEMORY_BUFFER is returned. After the last crl has been read GNUTLS_E_REQUESTED_DATA_NOT_AVAILABLE will be returned.

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: https://www.gnutls.org

COPYRIGHT
Copyright © 2001-2019 Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

https://www.gnutls.org/manual/